#!/bin/bash
# Remontée des confs des eXXl
#12/04/11 version initiale

VER="Remontée des confs des eXXls"

source /etc/sysconfig/.site

### Attente
SLEEP=100000
#Attente moyenne de 10 minutes (0 à 20)
while [ $SLEEP -gt 1200 ]
do
            SLEEP=$RANDOM
done
[ "$1" = "NOSLEEP" ] || sleep $SLEEP


#
# ajout V2
[ ! -d "/usr/share/${eq_modele}/modeles" ] && /bin/mkdir /usr/share/${eq_modele}/modeles
cd /usr/share/${eq_modele}/modeles
[ ! -s "/usr/share/${eq_modele}/modeles/cle_log" ] && /usr/bin/wget -q --no-proxy "http://${eq_site}/${eq_modele}/modeles/cle_log"


#La liste des fichiers à remonter
FICS="/usr/share/${eq_modele}/modeles/exxl_conf_fic.txt"
#Emplacement du fichier tar:
REP_TAR="/tmp"

cd "/usr/share/${eq_modele}/"

p_nom=${0##*/}
/bin/echo "${p_nom}: ${VER}"

#Adresse ip du serveur
ip_serveur="`hostname -i`"

rm -f "${REP_TAR}/conf_${ip_serveur}.tar"
rm -f "${REP_TAR}/conf_${ip_serveur}.tar.gz"

	#Sauvegarde du param.source
	if [ -f "/usr/share/${eq_modele}/param.source" ]; then
		/bin/tar -uf "${REP_TAR}/conf_${ip_serveur}.tar" -C "/usr/share/${eq_modele}" param.source
	fi

#Génération du tar.gz contenant les fichiers indiqués dans la liste
#suppression du répertoire du fichier
for fic in `cat ${FICS}`;do
        #echo "${fic}"
	#Fichier existe?
	if [ -f ${fic} ]; then
	        /bin/tar -uf "${REP_TAR}/conf_${ip_serveur}.tar" -C `dirname "${fic}"` `basename "${fic}"`
        	#v:verbeux-u: update fichier le plus récente -f: chemin du fichier tar-C:répertoire du fichier
	fi
done

#Nom du fichier à uploader
FIC="conf_${ip_serveur}.tar.gz"
################
#Upload du tar.gz
cd ${REP_TAR}
FIC="conf_${ip_serveur}.tar"
/bin/gzip ${FIC}
FIC="conf_${ip_serveur}.tar.gz"

#### Cryptage de $FIC
/usr/bin/openssl enc -aes256 -in ${FIC} -out ${FIC}.enc -kfile /usr/share/${eq_modele}/modeles/cle_log

#cat $LOG
/usr/bin/ftp -n %%stats_serveur_ftp << EOF
user  %%stats_user_ftp
passive
cd /depot/equidomaine
lcd  ${REP_TAR}
binary
put $FIC.enc
quit
EOF

#Remonté des stats en Centrale
/usr/bin/ftp -n %%stats_serveur << EOF
user %%stats_user
passive
cd /depot/stat
lcd  ${REP_TAR}
binary
put $FIC.enc
quit
EOF

##############


