#!/bin/bash

# adaptation de /usr/sbin/ouvre.firewall pour esbl

## ouvre.firewall pour EOLE
#------------------------------------------------------------------------------------------------------


### politique par defaut

## on vide les regles existantes
/sbin/iptables -t filter -F
/sbin/iptables -t mangle -F
/sbin/iptables -t nat -F

## on vide les regles utilisateurs
/sbin/iptables -t filter -X
/sbin/iptables -t mangle -X
/sbin/iptables -t nat -X

## activer l'anti-spoofing
echo 1 > /proc/sys/net/ipv4/conf/all/rp_filter
## mise en place de la politique par defaut
/sbin/iptables -P INPUT ACCEPT
/sbin/iptables -P OUTPUT ACCEPT
/sbin/iptables -P FORWARD ACCEPT

#tcpwrapper
echo "ALL: ALL" > /etc/hosts.allow

#nat tout le traffic
# suppression esbl
# inutile en mode non conteneur et problématique avec samba4wins (qui n'est pas encore adapté en mode conteneur)
# sansbastion.sh n'est exécuté que si mode_conteneur_actif == 'non' (interfaces.esbl)
# iptables -t nat -A POSTROUTING -j MASQUERADE
# fin suppression esbl
#------------------------------------------------------------------------------------------------------

# lancement du service creole_serv (lancé initialement via bastion)
CREOLE_SERV='/etc/init.d/creole_serv'
$CREOLE_SERV status &>/dev/null
[ $? -eq 0 ] && $CREOLE_SERV restart || $CREOLE_SERV start


exit 0
